# import cppyy and ctypes for interaction with c++ entities
import cppyy, cppyy.ll

# pull in classes from the DataModel
cppyy.add_include_path('/Standalone/try1')
cppyy.include('DataModel.h')
cppyy.load_library('libDataModel.so')
from cppyy.gbl import DataModel

if __name__ == "__main__":
    
    m_data = DataModel()
    
    # check if it's working
    testval = m_data.TestMethod()
    testint = m_data.testmember
    print("test member is: ",testint)
    

